Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 1599886 - (CVE-2018-1337) CVE-2018-1337 apache-ldap-api: Plaintext Password Disclosure in Secured Channel
CVE-2018-1337 apache-ldap-api: Plaintext Password Disclosure in Secured Channel
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20180710,repor...
: Security
Depends On: 1599887
Blocks: 1599888
  Show dependency treegraph
 
Reported: 2018-07-10 16:57 EDT by Pedro Sampaio
Modified: 2018-10-11 04:11 EDT (History)
9 users (show)

See Also:
Fixed In Version: apache-ldap-api 1.0.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pedro Sampaio 2018-07-10 16:57:51 EDT
In Apache LDAP API before 1.0.2, a bug in the way the SSL Filter was setup made it possible for another thread to use the connection before the TLS layer has been established, if the connection has already been used and put back in a pool of connections, leading to leaking any information contained in this request (including the credentials when sending a BIND request).

References:

https://lists.apache.org/thread.html/d66081195e9a02ee7cc20fb243b60467d1419586eed28297d820768f@%3Cdev.directory.apache.org%3E
Comment 1 Pedro Sampaio 2018-07-10 16:58:17 EDT
Created apacheds-ldap-api tracking bugs for this issue:

Affects: fedora-all [bug 1599887]

Note You need to log in before you can comment on or make changes to this bug.